Heatmap renderer not working when layer is reprojected
Pull Request or Patch supplied:
Easy fix?: No
Copied to github as #: 20537

Description

The new live heatmap renderer (Properties > Style from a point layer) is great, however I'm having one issue with it.

When | try to have one layer with the heatmap, and add another layer from OpenLayers (such as a Google or Stamen map) the heatmap

disappears. I've tried playing around with CRSs, but to no avail. | don't think it's a CRS problem, as when | choose "Zoom to Layer", it

stays in the correct position.

When | turn the point layer from an invisible heatmap back to a simple point layer, the points will re-appear in the correct position.

I'm not sure if this is in anyway related to the other heatmap problem (using the plugin) that has already been reported in 2.8.

Cheers.

Associated revisions

Revision 23d6b66a - 2015-03-17 09:20 AM - Nyall Dawson

Fix heatmap renderer not working for reprojected layers (fix #12362)

Revision e17ec09e - 2015-03-17 09:22 AM - Nyall Dawson

Fix heatmap renderer not working for reprojected layers (fix #12362)

History

#1 - 2015-03-12 02:23 AM - Giovanni Manghi
- Affected QGIS version changed from 2.8.1 to master
- Category set to Symbology

- Subject changed from Live heatmap renderer (not plugin) not working with OpenLayers plugin maps to Heatmap renderer not working when layer is

reprojected

The problem is general and not only related to the OL plugin. If the layer with the heatmap symbology is reprojected then it does not show.

I have the feeling there was already a ticket about this but can't find it, maybe I'm wrong.

#2 - 2015-03-17 01:21 AM - Nyall Dawson
- Status changed from Open to Closed
Fixed in changeset commit:"23d6b66ae61a36c2eef443e30891230d891eef50".

#3 - 2015-03-17 01:38 AM - Paolo Cavallini

Better backport it?
